## GstAudioFXBaseFIRFilter

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──GstAudioFXBaseFIRFilter

Opaque data structure.

### Properties

#### drain-on-changes

    “drain-on-changes” gboolean

Whether the filter should be drained when its coefficients change

Note: Currently this only works if the kernel size is not changed! Support for drainless kernel size changes will be added in the future.

Flags : Read / Write

Default value : true

#### low-latency

    “low-latency” gboolean

Work in low-latency mode. This mode is much slower for large filter sizes but the latency is always only the pre-latency of the filter.

Flags : Read / Write

Default value : false

The results of the search are